<?php
//Form File Uploading
add_action('wp_ajax_action_job_alert_form_data_send', 'action_job_alert_form_data_send_fun');
add_action('wp_ajax_nopriv_action_job_alert_form_data_send', 'action_job_alert_form_data_send_fun'); 
function action_job_alert_form_data_send_fun(){ 
    if( ! wp_verify_nonce( $_POST["jobalert_form_data_nonce"], 'jobalert_form_data_nonce' ) ){
        echo "This is due to unauthorized access, try to refresh the page!: #ref: formupld_avgfska:::1)!21";
        wp_die();
    }
    $shortcode_id_post = $_REQUEST['shortcode_id'];   
    $portal_id = get_post_meta( $shortcode_id_post, '_api_portal_id', true );
    $developer_key = get_post_meta( $shortcode_id_post, '_api_developer_key', true );
    $language_id = get_post_meta( $shortcode_id_post, '_api_language_id', true );
    $jobalert_fname = $_REQUEST['jobalert-fname'];  
    $jobalert_lname = $_REQUEST['jobalert-lname'];
    $jobalert_email = $_REQUEST['jobalert-email'];    
    $selected_checkbox = explode(",",$_REQUEST['selected_checkbox']);    

    $xmldatastring = '<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
    <soap:Body>
        <SetJobAlert xmlns="http://api.hroffice.nl/">
          <portalId>'.$portal_id.'</portalId>
          <developerKey>'.$developer_key.'</developerKey>
          <jobAlert>
            <FirstName>'.$jobalert_fname.'</FirstName>
            <LastName>'.$jobalert_lname.'</LastName>
            <Email>'.$jobalert_email.'</Email>';

            if($_REQUEST['jobalert-keywords']){
                $xmldatastring .= '<Keywords><string></string></Keywords>';
            }
            
            if($_REQUEST['selected_checkbox']){
                $xmldatastring .= '<CustomFunctions>';
                foreach ($selected_checkbox as $valchk) {
                    $xmldatastring .= '<int>'.$valchk.'</int>';
                }
                $xmldatastring .= '</CustomFunctions>';
            }
                       
    $xmldatastring .= '<LanguageId>'.$language_id.'</LanguageId>
                  </jobAlert>
                </SetJobAlert>
            </soap:Body>
            </soap:Envelope>';
    //print_r($xmldatastring);

    $url = "https://api.hroffice.nl/HROfficeCoreService.asmx";
    $curl = curl_init($url);
    curl_setopt($curl, CURLOPT_URL, $url);
    curl_setopt($curl, CURLOPT_POST, true);
    curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
    $headers = array(
        "Content-Type: text/xml; charset=utf-8",
    );
    curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);

    curl_setopt($curl, CURLOPT_POSTFIELDS, $xmldatastring);
    curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, false);
    curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);

    $resp = curl_exec($curl);
    curl_close($curl);
    //print_r($resp); 

    $resp_xml_string     = simplexml_load_string($resp);
    $v3Response = $resp_xml_string->children('http://schemas.xmlsoap.org/soap/envelope/')->Body->children()->SetJobAlertResponse;
    $v3Result = $v3Response->SetJobAlertResult;
    $AvErrorCode = (string) $v3Result->Errors->AvError->Code;
    $AvErrorMessage = (string) $v3Result->Errors->AvError->Message;

    $ajaxResultArr = array('Code'=>$AvErrorCode, 'Message'=>$AvErrorMessage);    
    

    //Return the api response
    echo json_encode($ajaxResultArr);    

    exit;
}

